Summary:	X.org input driver for Wacom tablets
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla tabletów Wacom
Name:		xorg-driver-input-wacom
Version:	0.37.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
#Source0Download: https://github.com/linuxwacom/xf86-input-wacom/releases
Source0:	https://github.com/linuxwacom/xf86-input-wacom/releases/download/xf86-input-wacom-%{version}/xf86-input-wacom-%{version}.tar.bz2
# Source0-md5:	c6e9409e2fa3ae3f01eaf913a6ca9c9f
URL:		https://linuxwacom.github.io/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	doxygen >= 1.6.1
BuildRequires:	pkgconfig
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.7.0
Requires:	xorg-xserver-server >= 1.7.0
%requires_xorg_xserver_xinput
Obsoletes:	linuxwacom < 0.12.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Wacom tablets.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla tabletów Wacom.

%package devel
Summary:	Header file for wacom driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika wacom
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
Header file for wacom driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika wacom.

%prep
%setup -q -n xf86-input-wacom-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-debug \
	--with-systemd-unit-dir=%{systemdunitdir} \
	--with-udev-rules-dir=/lib/udev/rules.d

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/input/wacom_drv.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/isdv4-serial-inputattach
%attr(755,root,root) %{_bindir}/xsetwacom
%attr(755,root,root) %{_libdir}/xorg/modules/input/wacom_drv.so
%{_datadir}/X11/xorg.conf.d/70-wacom.conf
%{systemdunitdir}/wacom-inputattach@.service
/lib/udev/rules.d/wacom.rules
%{_mandir}/man1/xsetwacom.1*
%{_mandir}/man4/wacom.4*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/isdv4-serial-debugger
%{_includedir}/xorg/Xwacom.h
%{_includedir}/xorg/wacom-properties.h
%{_includedir}/xorg/wacom-util.h
%{_includedir}/xorg/isdv4.h
%{_pkgconfigdir}/xorg-wacom.pc
%changelog
* Thu Oct 10 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-wacom.git;a=log;h=master

* Thu Oct 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 866ae98
- updated to 0.37.0

* Wed Feb 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 748594a
- updated to 0.36.0

* Fri Dec 01 2017 Jakub Bogusz <qboosh@pld-linux.org> 1c15bd5
- obsolete only linuxwacom < 0.12.0

* Mon Nov 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 5ba39ee
- updated to 0.35.0

* Tue Apr 11 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 3eab6c0
- up to 0.34.2

* Thu Feb 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 20673cb
- updated to 0.34.0

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 8889a63
- release 2 (by relup.sh)

* Sun May 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 71e6a3f
- updated to 0.33.0

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> dd82b1f
- release 2 (by relup.sh)

* Sat Dec 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 30225da
- updated to 0.32.0

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> f878325
- updated to 0.31.0

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 7e9c0b8
- updated to 0.30.0

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> d27b7d0
- release 6 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 13ec063
- x32 rebuild
- release 5 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f0943e1
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d3ff36f
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> ee46473
- release 2 (by relup.sh)

* Tue Oct 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 7647b0f
- updated to 0.23.0

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c03c5f9
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 15dfd65
- release 2 (by relup.sh)

